Plug-ins > PDF Manipulator DC Announcements & Version Updates

PDF Manipulator DC v1.0.1.0 is verified compatible with macOS Sierra

(1/1)

Admin:
PDF Manipulator DC v1.0.1.0 is verified compatible with macOS 10.10 10.12.

See below for full version history:
- This plug-in is verified compatible with macOS 10.10 -10.12
- Updated uninstallation process to adhere to Apple security in MacOS Sierra

For more information please visit www.pdfmanipulatordc.com.

Navigation

[0] Message Index

Go to full version